phpLDAPadmin

# Class: Attribute

Source Location: /templates/3rdParty/pla/lib/Attribute.php

### Class Overview

Represents an attribute of a template.

### Variables

- $aliases
- $autovalue
- $cols
- $display
- $forcedelete
- $forcehide
- $helper
- $helpervalue
- $hint
- $icon
- $internal
- $ldaptype
- $maxlength
- $max_value_count
- $min_value_count
- $modified
- $name
- $oldvalues
- $onchange
- $order
- $ordersort
- $page
- $postvalue
- $rdn
- $readonly
- $rows
- $size
- $source
- $spacer
- $type
- $unique
- $values
- $verify
- $visible

### Methods

- __construct
- addValue
- autoValue
- clearValue
- delValue
- getAddedValues
- getAliases
- getAutoValue
- getDescription
- getFriendlyName
- getHelper
- getHelperValue
- getHint
- getIcon
- getLDAPtype
- getMaxLength
- getMaxValueCount
- getMinValueCount
- getName
- getOldValue
- getOldValues
- getOnChange
- getPage
- getPostValue
- getRemovedValues
- getSize
- getSource
- getSpacer
- getType
- getValue
- getValueCount
- getValues
- getVerify
- hasBeenModified
- haveFriendlyName
- haveMoreValues
- hide
- initValue
- isForceDelete
- isInternal
- isMay
- isMultiple
- isRDN
- isReadOnly
- isRequired
- isVisible
- justModified
- needJS
- setDescription
- setForceDelete
- setHint
- setIcon
- setInternal
- setLDAPtype
- setMaxLength
- setMaxValueCount
- setMinValueCount
- setOldValue
- setOptional
- setPage
- setPostValue
- setProperties
- setRDN
- setReadOnly
- setRequired
- setSize
- setType
- setValue
- setXML
- show

### Child classes:

PasswordAttribute
  Represents an attribute whose values are passwords

ShadowAttribute
  Represents a shadow date attribute

BinaryAttribute
  Represents an attribute whose values are binary

DateAttribute
  Represents an attribute whose values are dates

ObjectClassAttribute
  Represents an 'objectClass' attribute

MultiLineAttribute
  Represents a attribute whose values are multiline text

SelectionAttribute
  Represents an attribute whose values are in a predefined list

DnAttribute
  Represents an attribute whose values are DNs

GidAttribute
  Represents a 'gidNumber' attribute

### Class Details

[line 15]
Represents an attribute of a template.
[ Top ]

### Class Variables

#### $aliases = array()

[line 75]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $autovalue = array()

[line 78]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $cols = 0

[line 65]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $display = ''

[line 48]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $forcedelete = false

[line 34]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $forcehide = false

[line 37]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $helper = array()

[line 52]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $helpervalue = array()

[line 53]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $hint = ''

[line 50]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $icon = ''

[line 49]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $internal = false

[line 30]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $ldaptype = null

[line 41]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $maxlength = 0

[line 63]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $max_value_count = -1

[line 27]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $min_value_count = -1

[line 26]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $modified = false

[line 32]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $name =

[line 17]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $oldvalues = array()

[line 22]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $onchange = array()

[line 55]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $order = 255

[line 70]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $ordersort = 255

[line 71]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $page = 1

[line 69]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $postvalue = array()

[line 79]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $rdn = false

[line 72]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $readonly = false

[line 39]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $rows = 0

[line 66]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $size = 0

[line 61]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $source =

[line 19]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $spacer = false

[line 57]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $type = ''

[line 43]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $unique = false

[line 45]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $values = array()

[line 23]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $verify = false

[line 58]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $visible = false

[line 36]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 81]

`Attribute __construct( $name, $values, $server_id, [ $source = null])`

#### Tags:

access: | public

Overridden in child classes as:

BinaryAttribute::__construct()

SelectionAttribute::__construct()

#### Parameters:

| $name |
| $values |
| $server_id |
| $source |

[ Top ]

### method addValue [line 230]

`void addValue( $new_val, [ $i = -1])`

#### Tags:

access: | public

Overridden in child classes as:

SelectionAttribute::addValue()

#### Parameters:

| $new_val |
| $i |

[ Top ]

### method autoValue [line 172]

`void autoValue( $new_val)`

Autovalue is called after the attribute is initialised, and thus the values from the ldap server will be set.

#### Tags:

access: | public

Overridden in child classes as:

SelectionAttribute::autoValue()

#### Parameters:

| $new_val |

[ Top ]

### method clearValue [line 194]

`void clearValue( )`

#### Tags:

access: | public

[ Top ]

### method delValue [line 244]

`void delValue( [ $i = -1])`

#### Tags:

access: | public

#### Parameters:

| $i |

[ Top ]

### method getAddedValues [line 860]

`void getAddedValues( )`

Display the values removed in an attribute.

#### Tags:

access: | public

[ Top ]

### method getAliases [line 684]

`void getAliases( )`

Return a list of aliases for this Attribute (as defined by the schema) This list will be lowercase.

#### Tags:

access: | public

[ Top ]

### method getAutoValue [line 691]

`void getAutoValue( )`

#### Tags:

access: | public

[ Top ]

### method getDescription [line 529]

`void getDescription( )`

#### Tags:

access: | public

[ Top ]

### method getFriendlyName [line 512]

`void getFriendlyName( )`

#### Tags:

access: | public

[ Top ]

### method getHelper [line 619]

`void getHelper( )`

#### Tags:

access: | public

[ Top ]

### method getHelperValue [line 626]

`void getHelperValue( )`

#### Tags:

access: | public

[ Top ]

### method getHint [line 550]

`void getHint( )`

#### Tags:

access: | public

[ Top ]

### method getIcon [line 543]

`void getIcon( )`

#### Tags:

access: | public

[ Top ]

### method getLDAPtype [line 409]

`void getLDAPtype( )`

#### Tags:

access: | public

[ Top ]

### method getMaxLength [line 564]

`void getMaxLength( )`

#### Tags:

access: | public

[ Top ]

### method getMaxValueCount [line 295]

`void getMaxValueCount( )`

#### Tags:

access: | public

[ Top ]

### method getMinValueCount [line 281]

`void getMinValueCount( )`

#### Tags:

access: | public

[ Top ]

### method getName [line 131]

`string getName( [boolean $lower = true], [boolean $real = false])`

Return the name of the attribute.

#### Tags:

return: | Attribute name
access: | public

#### Parameters:

boolean | $lower | - Return the attribute in normal or lower case (default lower)
boolean | $real | - Return the real attribute name (with ;binary, or just the name)

[ Top ]

### method getOldValue [line 271]

`void getOldValue( $i)`

#### Tags:

access: | public

#### Parameters:

| $i |

[ Top ]

### method getOldValues [line 148]

`void getOldValues( )`

#### Tags:

access: | public

[ Top ]

### method getOnChange [line 612]

`void getOnChange( )`

#### Tags:

access: | public

[ Top ]

### method getPage [line 599]

`void getPage( )`

#### Tags:

access: | public

[ Top ]

### method getPostValue [line 698]

`void getPostValue( )`

#### Tags:

access: | public

[ Top ]

### method getRemovedValues [line 850]

`void getRemovedValues( )`

Display the values removed in an attribute.

#### Tags:

access: | public

[ Top ]

### method getSize [line 578]

`void getSize( )`

#### Tags:

access: | public

[ Top ]

### method getSource [line 162]

`void getSource( )`

#### Tags:

access: | public

[ Top ]

### method getSpacer [line 592]

`void getSpacer( )`

#### Tags:

access: | public

[ Top ]

### method getType [line 395]

`void getType( )`

#### Tags:

access: | public

[ Top ]

### method getValue [line 261]

`void getValue( $i)`

#### Tags:

access: | public

#### Parameters:

| $i |

[ Top ]

### method getValueCount [line 155]

`void getValueCount( )`

#### Tags:

access: | public

[ Top ]

### method getValues [line 141]

`void getValues( )`

#### Tags:

access: | public

[ Top ]

### method getVerify [line 633]

`void getVerify( )`

#### Tags:

access: | public

[ Top ]

### method hasBeenModified [line 326]

`void hasBeenModified( )`

#### Tags:

access: | public

[ Top ]

### method haveFriendlyName [line 505]

`void haveFriendlyName( )`

#### Tags:

access: | public

[ Top ]

### method haveMoreValues [line 309]

`void haveMoreValues( )`

#### Tags:

access: | public

[ Top ]

### method hide [line 491]

`void hide( )`

#### Tags:

access: | public

[ Top ]

### method initValue [line 182]

`void initValue( $new_val)`

#### Tags:

access: | public

#### Parameters:

| $new_val |

[ Top ]

### method isForceDelete [line 333]

`void isForceDelete( )`

#### Tags:

access: | public

[ Top ]

### method isInternal [line 350]

`void isInternal( )`

#### Tags:

access: | public

[ Top ]

### method isMay [line 378]

`void isMay( )`

#### Tags:

access: | public

[ Top ]

### method isMultiple [line 480]

`void isMultiple( )`

#### Tags:

access: | public

Overridden in child classes as:

SelectionAttribute::isMultiple()

[ Top ]

### method isRDN [line 652]

`boolean isRDN( )`

Return if this attribute is an RDN attribute

#### Tags:

access: | public

[ Top ]

### method isReadOnly [line 466]

`void isReadOnly( )`

#### Tags:

access: | public

[ Top ]

### method isRequired [line 364]

`void isRequired( )`

#### Tags:

access: | public

[ Top ]

### method isVisible [line 484]

`void isVisible( )`

#### Tags:

access: | public

[ Top ]

### method justModified [line 319]

`void justModified( )`

#### Tags:

access: | public

[ Top ]

### method needJS [line 886]

`void needJS( [ $type = null])`

Does this attribute need supporting JS

#### Tags:

access: | public

#### Parameters:

| $type |

[ Top ]

### method setDescription [line 522]

`void setDescription( $description)`

#### Tags:

access: | public

#### Parameters:

| $description |

[ Top ]

### method setForceDelete [line 340]

`void setForceDelete( )`

#### Tags:

access: | public

[ Top ]

### method setHint [line 557]

`void setHint( $hint)`

#### Tags:

access: | public

#### Parameters:

| $hint |

[ Top ]

### method setIcon [line 536]

`void setIcon( $icon)`

#### Tags:

access: | public

#### Parameters:

| $icon |

[ Top ]

### method setInternal [line 357]

`void setInternal( )`

#### Tags:

access: | public

[ Top ]

### method setLDAPtype [line 402]

`void setLDAPtype( $type)`

#### Tags:

access: | public

#### Parameters:

| $type |

[ Top ]

### method setMaxLength [line 571]

`void setMaxLength( $maxlength)`

#### Tags:

access: | public

#### Parameters:

| $maxlength |

[ Top ]

### method setMaxValueCount [line 302]

`void setMaxValueCount( $max)`

#### Tags:

access: | public

#### Parameters:

| $max |

[ Top ]

### method setMinValueCount [line 288]

`void setMinValueCount( $min)`

#### Tags:

access: | public

#### Parameters:

| $min |

[ Top ]

### method setOldValue [line 201]

`void setOldValue( $val)`

#### Tags:

access: | public

#### Parameters:

| $val |

[ Top ]

### method setOptional [line 459]

`void setOptional( )`

#### Tags:

access: | public

[ Top ]

### method setPage [line 605]

`void setPage( $page)`

#### Tags:

access: | public

#### Parameters:

| $page |

[ Top ]

### method setPostValue [line 705]

`void setPostValue( $postvalue)`

#### Tags:

access: | public

#### Parameters:

| $postvalue |

[ Top ]

### method setProperties [line 416]

`void setProperties( $properties)`

#### Tags:

access: | public

#### Parameters:

| $properties |

[ Top ]

### method setRDN [line 640]

`void setRDN( $rdn)`

#### Tags:

access: | public

#### Parameters:

| $rdn |

[ Top ]

### method setReadOnly [line 473]

`void setReadOnly( )`

#### Tags:

access: | public

[ Top ]

### method setRequired [line 451]

`void setRequired( )`

#### Tags:

access: | public

[ Top ]

### method setSize [line 585]

`void setSize( $size)`

#### Tags:

access: | public

#### Parameters:

| $size |

[ Top ]

### method setType [line 388]

`void setType( $type)`

#### Tags:

access: | public

#### Parameters:

| $type |

[ Top ]

### method setValue [line 208]

`void setValue( $new_val)`

#### Tags:

access: | public

#### Parameters:

| $new_val |

[ Top ]

### method setXML [line 712]

`void setXML( $values)`

#### Tags:

access: | public

#### Parameters:

| $values |

[ Top ]

### method show [line 498]

`void show( )`

#### Tags:

access: | public

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:30 +0100 by phpDocumentor 1.4.1